com::lomiri::location::service Namespace Reference

## Namespaces

namespace | session

## Classes

class | Configuration
class | DefaultPermissionManager
class | Interface
| The Interface class models the primary interface to the location service. More...
struct | Credentials
| Credentials of a remote session. More...
class | PermissionManager
| The PermissionManager class is an interface to check whether an application is allowed to access the location services. More...
class | Skeleton
class | Stub
class | SystemConfiguration

## Enumerations

enum class | State { disabled , enabled , active }
| State enumerates the known states of the service. More...

## Functions

bool | operator== (State lhs, State rhs)
| operator== returns true if lhs == rhs.
bool | operator!= (State lhs, State rhs)
| operator != returns true if !(lhs == rhs).
std::ostream & | operator<< (std::ostream &out, State state)
| operator<< inserts state into the out.
std::istream & | operator>> (std::istream &in, State &state)
| operator>> extracts state from in.

## Enumeration Type Documentation

## State

enum class com::lomiri::location::service::State

strong

State enumerates the known states of the service.

Enumerator
disabled | The service has been disabled by the user.
enabled | The service is enabled but not actively carrying out positioning.
active | The service is actively trying to determine the position of the device.

Definition at line 26 of file state.h.

## Function Documentation

## operator!=()

bool com::lomiri::location::service::operator!= | ( | State | lhs,
|  | State | rhs )

operator != returns true if !(lhs == rhs).

## operator<<()

std::ostream & com::lomiri::location::service::operator<< | ( | std::ostream & | out,
|  | State | state )

operator<< inserts state into the out.

## operator==()

bool com::lomiri::location::service::operator== | ( | State | lhs,
|  | State | rhs )

operator== returns true if lhs == rhs.

## operator>>()

std::istream & com::lomiri::location::service::operator>> | ( | std::istream & | in,
|  | State & | state )

operator>> extracts state from in.